.. AUTO-GENERATED FILE. DO NOT EDIT. /hardware-customers-post-one ============================ Summary ------- - **Source repository:** ``jef-systems/jef-hardware-backend`` - **Source SHA:** ``61af4e71dbca0b2ddf0490d03bb53fe1ee254027`` - **Source run id:** ``29186391370`` - **Lambda function:** ``jef-hardware-post-004`` - **HTTP method:** ``POST`` - **API path:** ``/hardware-customers-post-one`` - **Cloudflare path:** ``/hardware/async-post/hardware-customers-post-one`` - **Endpoint URL:** ``https://api.jefoffice.com/hardware/async-post/hardware-customers-post-one`` - **Cloudflare base URL:** ``https://api.jefoffice.com/hardware/async-post`` - **Cloudflare parent path:** ``/hardware`` - **Cloudflare scope:** ``async-post`` - **Cloudflare scope path:** ``/hardware/async-post`` - **Cloudflare mode:** ``one-worker-for-lambda-async-post`` - **Cloudflare Worker:** ``jef-hardware-lambda-async-post`` - **Cloudflare Worker route:** ``api.jefoffice.com/hardware/async-post/\*`` - **Payload mode:** ``json-body`` Description ----------- .. list-table:: :widths: 30 70 * - ``Function`` - jef-hardware-post-004 Logical ID: jef-hardware:jef-hardware-customers:post-one Order Number: 003 * - ``Module`` - jef-hardware * - ``Action`` - post-one * - ``Method`` - POST * - ``Invocation Mode`` - ASYNC * - ``Resource Path`` - /hardware-customers-post-one Endpoint Name: jef-hardware-customers-post-one * - ``Table`` - jef-hardware-customers * - ``Primary Key`` - customer\_id API Gateway Response -------------------- .. list-table:: :widths: 30 70 * - ``status\_code`` - 202 * - ``message`` - Request accepted for asynchronous processing. Payload Example --------------- .. list-table:: :widths: 30 70 * - ``customer\_id`` - 027858b3-eceb-49c2-8d95-b3c08e62e696 * - ``store\_id`` - 4d254d93-78ca-43f7-bb6a-3f9e4b552b3a * - ``entity\_number`` - value-001 * - ``customer\_name`` - Sample Name * - ``contact\_number`` - value-001 * - ``email`` - value-001 * - ``address`` - value-001 * - ``government\_id\_type`` - value-001 * - ``government\_id\_number`` - value-001 * - ``created`` - 2026-07-12T08:46:37Z * - ``updated`` - 2026-07-12T08:46:37Z * - ``is\_active`` - True * - ``is\_deleted`` - True * - ``deleted\_at`` - 2026-07-12T08:46:37Z * - ``idempotency\_key`` - value-001 * - ``schema\_version`` - 1 * - ``version`` - 1 Payload Schema -------------- .. code-block:: json { "type": "object", "additionalProperties": "False", "payload_mode": "flat", "allow_children_wrapper": "False", "children_wrapper_field": "", "allow_batch": "False", "table": "jef-hardware-customers", "primary_key": "customer_id", "required[0]": "store_id", "required[1]": "entity_number", "required[2]": "customer_name", "required[3]": "contact_number", "required[4]": "email", "required[5]": "address", "required[6]": "government_id_type", "required[7]": "government_id_number", "required[8]": "is_deleted", "required[9]": "schema_version", "required[10]": "version", "properties.customer_id.field": "customer_id", "properties.customer_id.type": "S", "properties.customer_id.required": "False", "properties.customer_id.source_required": "True", "properties.customer_id.server_generated": "True", "properties.customer_id.autogenerated": "False", "properties.customer_id.frontend_autocomputed": "False", "properties.customer_id.format": "uuidv4", "properties.customer_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$", "properties.store_id.field": "store_id", "properties.store_id.type": "S", "properties.store_id.required": "True", "properties.store_id.source_required": "True", "properties.store_id.server_generated": "True", "properties.store_id.autogenerated": "False", "properties.store_id.frontend_autocomputed": "False", "properties.store_id.format": "uuidv4", "properties.store_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$", "properties.entity_number.field": "entity_number", "properties.entity_number.type": "S", "properties.entity_number.required": "True", "properties.entity_number.source_required": "True", "properties.entity_number.server_generated": "False", "properties.entity_number.autogenerated": "False", "properties.entity_number.frontend_autocomputed": "False", "properties.entity_number.regex": "^[0-9]{4}$", "properties.customer_name.field": "customer_name", "properties.customer_name.type": "S", "properties.customer_name.required": "True", "properties.customer_name.source_required": "True", "properties.customer_name.server_generated": "False", "properties.customer_name.autogenerated": "False", "properties.customer_name.frontend_autocomputed": "False", "properties.customer_name.regex": "^[A-Za-z0-9 .,'_-]{1,120}$", "properties.contact_number.field": "contact_number", "properties.contact_number.type": "S", "properties.contact_number.required": "True", "properties.contact_number.source_required": "True", "properties.contact_number.server_generated": "False", "properties.contact_number.autogenerated": "False", "properties.contact_number.frontend_autocomputed": "False", "properties.contact_number.regex": "^[A-Za-z0-9_-]{1,64}$", "properties.email.field": "email", "properties.email.type": "S", "properties.email.required": "True", "properties.email.source_required": "True", "properties.email.server_generated": "False", "properties.email.autogenerated": "False", "properties.email.frontend_autocomputed": "False", "properties.email.regex": "^[^@\\s]+@[^@\\s]+\\.[^@\\s]+$", "properties.address.field": "address", "properties.address.type": "S", "properties.address.required": "True", "properties.address.source_required": "True", "properties.address.server_generated": "False", "properties.address.autogenerated": "False", "properties.address.frontend_autocomputed": "False", "properties.address.regex": "^.{1,300}$", "properties.government_id_type.field": "government_id_type", "properties.government_id_type.type": "S", "properties.government_id_type.required": "True", "properties.government_id_type.source_required": "True", "properties.government_id_type.server_generated": "False", "properties.government_id_type.autogenerated": "False", "properties.government_id_type.frontend_autocomputed": "False", "properties.government_id_type.regex": "^[A-Za-z0-9_-]{1,64}$", "properties.government_id_number.field": "government_id_number", "properties.government_id_number.type": "S", "properties.government_id_number.required": "True", "properties.government_id_number.source_required": "True", "properties.government_id_number.server_generated": "False", "properties.government_id_number.autogenerated": "False", "properties.government_id_number.frontend_autocomputed": "False", "properties.government_id_number.regex": "^[A-Za-z0-9_-]{1,64}$", "properties.created.field": "created", "properties.created.type": "S", "properties.created.required": "False", "properties.created.source_required": "True", "properties.created.server_generated": "True", "properties.created.autogenerated": "False", "properties.created.frontend_autocomputed": "False", "properties.created.format": "iso8601", "properties.created.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$", "properties.updated.field": "updated", "properties.updated.type": "S", "properties.updated.required": "False", "properties.updated.source_required": "True", "properties.updated.server_generated": "True", "properties.updated.autogenerated": "False", "properties.updated.frontend_autocomputed": "False", "properties.updated.format": "iso8601", "properties.updated.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$", "properties.is_active.field": "is_active", "properties.is_active.type": "BOOL", "properties.is_active.required": "False", "properties.is_active.source_required": "True", "properties.is_active.server_generated": "True", "properties.is_active.autogenerated": "False", "properties.is_active.frontend_autocomputed": "False", "properties.is_active.regex": "^(true|false)$", "properties.is_deleted.field": "is_deleted", "properties.is_deleted.type": "BOOL", "properties.is_deleted.required": "True", "properties.is_deleted.source_required": "True", "properties.is_deleted.server_generated": "True", "properties.is_deleted.autogenerated": "False", "properties.is_deleted.frontend_autocomputed": "False", "properties.is_deleted.regex": "^(true|false)$", "properties.deleted_at.field": "deleted_at", "properties.deleted_at.type": "S", "properties.deleted_at.required": "False", "properties.deleted_at.source_required": "False", "properties.deleted_at.server_generated": "True", "properties.deleted_at.autogenerated": "False", "properties.deleted_at.frontend_autocomputed": "False", "properties.deleted_at.format": "iso8601", "properties.deleted_at.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$", "properties.idempotency_key.field": "idempotency_key", "properties.idempotency_key.type": "S", "properties.idempotency_key.required": "False", "properties.idempotency_key.source_required": "False", "properties.idempotency_key.server_generated": "True", "properties.idempotency_key.autogenerated": "False", "properties.idempotency_key.frontend_autocomputed": "False", "properties.idempotency_key.regex": "^[A-Za-z0-9_-]{1,64}$", "properties.schema_version.field": "schema_version", "properties.schema_version.type": "N", "properties.schema_version.required": "True", "properties.schema_version.source_required": "True", "properties.schema_version.server_generated": "True", "properties.schema_version.autogenerated": "False", "properties.schema_version.frontend_autocomputed": "False", "properties.schema_version.regex": "^\\d+$", "properties.version.field": "version", "properties.version.type": "N", "properties.version.required": "True", "properties.version.source_required": "True", "properties.version.server_generated": "True", "properties.version.autogenerated": "False", "properties.version.frontend_autocomputed": "False", "properties.version.regex": "^\\d+$", "children": "[]", "root.type": "object", "root.attributes.customer_id.field": "customer_id", "root.attributes.customer_id.type": "S", "root.attributes.customer_id.required": "False", "root.attributes.customer_id.source_required": "True", "root.attributes.customer_id.server_generated": "True", "root.attributes.customer_id.autogenerated": "False", "root.attributes.customer_id.frontend_autocomputed": "False", "root.attributes.customer_id.format": "uuidv4", "root.attributes.customer_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$", "root.attributes.store_id.field": "store_id", "root.attributes.store_id.type": "S", "root.attributes.store_id.required": "True", "root.attributes.store_id.source_required": "True", "root.attributes.store_id.server_generated": "True", "root.attributes.store_id.autogenerated": "False", "root.attributes.store_id.frontend_autocomputed": "False", "root.attributes.store_id.format": "uuidv4", "root.attributes.store_id.regex": "^[1-9a-fA-F][0-9a-fA-F]{7}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$", "root.attributes.entity_number.field": "entity_number", "root.attributes.entity_number.type": "S", "root.attributes.entity_number.required": "True", "root.attributes.entity_number.source_required": "True", "root.attributes.entity_number.server_generated": "False", "root.attributes.entity_number.autogenerated": "False", "root.attributes.entity_number.frontend_autocomputed": "False", "root.attributes.entity_number.regex": "^[0-9]{4}$", "root.attributes.customer_name.field": "customer_name", "root.attributes.customer_name.type": "S", "root.attributes.customer_name.required": "True", "root.attributes.customer_name.source_required": "True", "root.attributes.customer_name.server_generated": "False", "root.attributes.customer_name.autogenerated": "False", "root.attributes.customer_name.frontend_autocomputed": "False", "root.attributes.customer_name.regex": "^[A-Za-z0-9 .,'_-]{1,120}$", "root.attributes.contact_number.field": "contact_number", "root.attributes.contact_number.type": "S", "root.attributes.contact_number.required": "True", "root.attributes.contact_number.source_required": "True", "root.attributes.contact_number.server_generated": "False", "root.attributes.contact_number.autogenerated": "False", "root.attributes.contact_number.frontend_autocomputed": "False", "root.attributes.contact_number.regex": "^[A-Za-z0-9_-]{1,64}$", "root.attributes.email.field": "email", "root.attributes.email.type": "S", "root.attributes.email.required": "True", "root.attributes.email.source_required": "True", "root.attributes.email.server_generated": "False", "root.attributes.email.autogenerated": "False", "root.attributes.email.frontend_autocomputed": "False", "root.attributes.email.regex": "^[^@\\s]+@[^@\\s]+\\.[^@\\s]+$", "root.attributes.address.field": "address", "root.attributes.address.type": "S", "root.attributes.address.required": "True", "root.attributes.address.source_required": "True", "root.attributes.address.server_generated": "False", "root.attributes.address.autogenerated": "False", "root.attributes.address.frontend_autocomputed": "False", "root.attributes.address.regex": "^.{1,300}$", "root.attributes.government_id_type.field": "government_id_type", "root.attributes.government_id_type.type": "S", "root.attributes.government_id_type.required": "True", "root.attributes.government_id_type.source_required": "True", "root.attributes.government_id_type.server_generated": "False", "root.attributes.government_id_type.autogenerated": "False", "root.attributes.government_id_type.frontend_autocomputed": "False", "root.attributes.government_id_type.regex": "^[A-Za-z0-9_-]{1,64}$", "root.attributes.government_id_number.field": "government_id_number", "root.attributes.government_id_number.type": "S", "root.attributes.government_id_number.required": "True", "root.attributes.government_id_number.source_required": "True", "root.attributes.government_id_number.server_generated": "False", "root.attributes.government_id_number.autogenerated": "False", "root.attributes.government_id_number.frontend_autocomputed": "False", "root.attributes.government_id_number.regex": "^[A-Za-z0-9_-]{1,64}$", "root.attributes.created.field": "created", "root.attributes.created.type": "S", "root.attributes.created.required": "False", "root.attributes.created.source_required": "True", "root.attributes.created.server_generated": "True", "root.attributes.created.autogenerated": "False", "root.attributes.created.frontend_autocomputed": "False", "root.attributes.created.format": "iso8601", "root.attributes.created.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$", "root.attributes.updated.field": "updated", "root.attributes.updated.type": "S", "root.attributes.updated.required": "False", "root.attributes.updated.source_required": "True", "root.attributes.updated.server_generated": "True", "root.attributes.updated.autogenerated": "False", "root.attributes.updated.frontend_autocomputed": "False", "root.attributes.updated.format": "iso8601", "root.attributes.updated.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$", "root.attributes.is_active.field": "is_active", "root.attributes.is_active.type": "BOOL", "root.attributes.is_active.required": "False", "root.attributes.is_active.source_required": "True", "root.attributes.is_active.server_generated": "True", "root.attributes.is_active.autogenerated": "False", "root.attributes.is_active.frontend_autocomputed": "False", "root.attributes.is_active.regex": "^(true|false)$", "root.attributes.is_deleted.field": "is_deleted", "root.attributes.is_deleted.type": "BOOL", "root.attributes.is_deleted.required": "True", "root.attributes.is_deleted.source_required": "True", "root.attributes.is_deleted.server_generated": "True", "root.attributes.is_deleted.autogenerated": "False", "root.attributes.is_deleted.frontend_autocomputed": "False", "root.attributes.is_deleted.regex": "^(true|false)$", "root.attributes.deleted_at.field": "deleted_at", "root.attributes.deleted_at.type": "S", "root.attributes.deleted_at.required": "False", "root.attributes.deleted_at.source_required": "False", "root.attributes.deleted_at.server_generated": "True", "root.attributes.deleted_at.autogenerated": "False", "root.attributes.deleted_at.frontend_autocomputed": "False", "root.attributes.deleted_at.format": "iso8601", "root.attributes.deleted_at.regex": "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}:\\d{2}(\\.\\d{1,6})?Z?$", "root.attributes.idempotency_key.field": "idempotency_key", "root.attributes.idempotency_key.type": "S", "root.attributes.idempotency_key.required": "False", "root.attributes.idempotency_key.source_required": "False", "root.attributes.idempotency_key.server_generated": "True", "root.attributes.idempotency_key.autogenerated": "False", "root.attributes.idempotency_key.frontend_autocomputed": "False", "root.attributes.idempotency_key.regex": "^[A-Za-z0-9_-]{1,64}$", "root.attributes.schema_version.field": "schema_version", "root.attributes.schema_version.type": "N", "root.attributes.schema_version.required": "True", "root.attributes.schema_version.source_required": "True", "root.attributes.schema_version.server_generated": "True", "root.attributes.schema_version.autogenerated": "False", "root.attributes.schema_version.frontend_autocomputed": "False", "root.attributes.schema_version.regex": "^\\d+$", "root.attributes.version.field": "version", "root.attributes.version.type": "N", "root.attributes.version.required": "True", "root.attributes.version.source_required": "True", "root.attributes.version.server_generated": "True", "root.attributes.version.autogenerated": "False", "root.attributes.version.frontend_autocomputed": "False", "root.attributes.version.regex": "^\\d+$" } Response Schema --------------- .. code-block:: json { "type": "object", "properties.ok.type": "boolean", "properties.accepted.type": "boolean", "properties.is_committed.type": "boolean", "properties.request_id.type": "string", "properties.message.type": "string", "properties.table.type": "string", "properties.operation.type": "string", "properties.primary_key.type": "string", "properties.primary_key_value.type": "string", "properties.item_write_count.type": "number", "properties.child_write_count.type": "number" } Request Payload --------------- .. code-block:: json { "customer_id": "027858b3-eceb-49c2-8d95-b3c08e62e696", "store_id": "4d254d93-78ca-43f7-bb6a-3f9e4b552b3a", "entity_number": "value-001", "customer_name": "Sample Name", "contact_number": "value-001", "email": "value-001", "address": "value-001", "government_id_type": "value-001", "government_id_number": "value-001", "created": "2026-07-12T08:46:37Z", "updated": "2026-07-12T08:46:37Z", "is_active": "True", "is_deleted": "True", "deleted_at": "2026-07-12T08:46:37Z", "idempotency_key": "value-001", "schema_version": "1", "version": "1" } Response -------- .. code-block:: json { "type": "object", "properties.ok.type": "boolean", "properties.accepted.type": "boolean", "properties.is_committed.type": "boolean", "properties.request_id.type": "string", "properties.message.type": "string", "properties.table.type": "string", "properties.operation.type": "string", "properties.primary_key.type": "string", "properties.primary_key_value.type": "string", "properties.item_write_count.type": "number", "properties.child_write_count.type": "number" } CMD curl -------- .. code-block:: bat curl -X POST "https://api.jefoffice.com/hardware/async-post/hardware-customers-post-one" -H "Content-Type: application/json" --data-raw "{\"customer_id\": \"027858b3-eceb-49c2-8d95-b3c08e62e696\", \"store_id\": \"4d254d93-78ca-43f7-bb6a-3f9e4b552b3a\", \"entity_number\": \"value-001\", \"customer_name\": \"Sample Name\", \"contact_number\": \"value-001\", \"email\": \"value-001\", \"address\": \"value-001\", \"government_id_type\": \"value-001\", \"government_id_number\": \"value-001\", \"created\": \"2026-07-12T08:46:37Z\", \"updated\": \"2026-07-12T08:46:37Z\", \"is_active\": true, \"is_deleted\": true, \"deleted_at\": \"2026-07-12T08:46:37Z\", \"idempotency_key\": \"value-001\", \"schema_version\": 1, \"version\": 1}" PowerShell curl --------------- .. code-block:: powershell curl.exe -X POST "https://api.jefoffice.com/hardware/async-post/hardware-customers-post-one" -H "Content-Type: application/json" --data-raw '{"customer_id": "027858b3-eceb-49c2-8d95-b3c08e62e696", "store_id": "4d254d93-78ca-43f7-bb6a-3f9e4b552b3a", "entity_number": "value-001", "customer_name": "Sample Name", "contact_number": "value-001", "email": "value-001", "address": "value-001", "government_id_type": "value-001", "government_id_number": "value-001", "created": "2026-07-12T08:46:37Z", "updated": "2026-07-12T08:46:37Z", "is_active": true, "is_deleted": true, "deleted_at": "2026-07-12T08:46:37Z", "idempotency_key": "value-001", "schema_version": 1, "version": 1}'